From 60e526dc9419d0bff89b05f4a98332aae48a0253 Mon Sep 17 00:00:00 2001
From: tv <tv@krebsco.de>
Date: Thu, 21 May 2015 01:56:08 +0200
Subject: sh: functions -> bin/

---
 bin/bre-invert-word | 15 +++++++++++++++
 1 file changed, 15 insertions(+)
 create mode 100755 bin/bre-invert-word

(limited to 'bin/bre-invert-word')

diff --git a/bin/bre-invert-word b/bin/bre-invert-word
new file mode 100755
index 0000000..677ba2e
--- /dev/null
+++ b/bin/bre-invert-word
@@ -0,0 +1,15 @@
+#! /bin/sh
+# bre-invert-word : string -> BRE
+set -euf
+
+# TODO escape chars in the resulting BRE.
+awk -v input="$1" '
+  BEGIN {
+    split(input,s,"")
+    for (i in s) {
+      c=s[i]
+      printf "\\|%s[^%s]", y, c
+      y = y c
+    }
+  }
+'
-- 
cgit v1.2.3